'''
  apkg
  ~~~~

  The Agda Package Manager.

'''

# ----------------------------------------------------------------------------

import click
from .commands import *

from .commands.clean      import clean
from .commands.freeze     import freeze
from .commands.list       import list
from .commands.info       import info
from .commands.init       import init
from .commands.install    import install
from .commands.uninstall  import uninstall
from .commands.search     import search
from .commands.update     import update
from .commands.upgrade    import upgrade

from .service.database    import db, pw
from .service.database    import ( Library
                                 , LibraryVersion
                                 , Keyword
                                 , TestedWith
                                 , Dependency
                                 )
from pprint   import pprint
from pony.orm import *

# ----------------------------------------------------------------------------

@click.group()
@click.version_option()
def cli():
  """The Agda Package manager."""

cli.add_command(init)
cli.add_command(install)
cli.add_command(uninstall)
cli.add_command(freeze)
cli.add_command(list)
cli.add_command(info)
cli.add_command(clean)
cli.add_command(search)
cli.add_command(upgrade)
